db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Army <a...@golux.com>
Subject Re: Hibernate problems with snapshot
Date Mon, 17 Jan 2005 17:23:43 GMT
acemccloudxx@comcast.net wrote:

> Jan 17, 2005 11:56:14 AM org.hibernate.cfg.SettingsFactory buildSettings
> WARNING: Could not obtain connection metadata
> SQL Exception: Failed to start database 'testDB', see the next exception for details.
> 	at org.apache.derby.impl.jdbc.Util.newEmbedSQLException(Util.java)
> 	at org.apache.derby.impl.jdbc.Util.newEmbedSQLException(Util.java)
> 	at org.apache.derby.impl.jdbc.Util.generateCsSQLException(Util.java)
> 	at org.apache.derby.impl.jdbc.EmbedConnection.newSQLException(EmbedConnection.java)
> 	at org.apache.derby.impl.jdbc.EmbedConnection.bootDatabase(EmbedConnection.java)

[ snip ]

 > Why would the snapshot version of Derby be unable to open a database when all
 > I did was change my class path to reference the snapshot version instead of
 > the 10.0.2.1 version?

Knee-jerk reaction: if you created the database with the 10.0.2.1 version and then are trying
to connect to it using the 
snapshot version (is that what you did?), the error is probably:

ERROR XJ040: Failed to start database 'yourDB', see the next exception for details.
ERROR XJ050: Database requires upgrade from version 10.0, set the attribute 'upgrade=true'
on the JDBC connection URL to 
allow upgrade to version 10.1 beta.

Oddly enough, when I try to specify "upgrade=true" as part of the URL, I seem to be getting
the same error over 
again...Am I doing something wrong, is this a bug, or have we just not figured out the whole
Derby upgrade thing yet? 
Anyone know...?

In any event, if you try creating the database with the snapshot version, and then using the
snapshot version to 
connect, that might solve the problem.

Army

Mime
View raw message